import editorInit from './editor-shortcode';
import menuInit from './menus';
import SchemaBulletPointsInit from './schema-bullet-points';
import taxonomyThematiqueFaqInit from './taxonomy-thematique-(faq)';
import archiveNewsInit from './archive-template-news';
import filterPublicationsInit from './archive-template-publications';
import accordeonInit from './accordeon';
import pageScrollerInit from './pageScroller';
import observeChapterProgression from './chapter-progression';
import notificationsInit from './notifications.js';
import LightBoxSingle from './lightboxSingle';
import handleForms from './forms';
// window.addEventListener('load', function () {});

window.addEventListener('DOMContentLoaded', (event) => {
  menuInit();
  SchemaBulletPointsInit();
  pageScrollerInit();
  editorInit();
  accordeonInit();
  taxonomyThematiqueFaqInit();
  handleForms();
  // NEWS
  archiveNewsInit();
  // PUBLICATIONS
  filterPublicationsInit();

  // CONSEILS + PARCOURS
  observeChapterProgression();

  // NOTIFICATIONS
  notificationsInit();
  LightBoxSingle.init();
});
